#!/bin/sh
#
# Dan Higgins - higgins@nceas.ucsb.edu
# Oct 16, 2004
#
# Shell script file for launching Kepler# # Note that the paths are relative.  
# Assumed that this batch file is in the kepler subdirectory and ptII2.0.3 is at same level 
# as kepler.
# Also, the two dlls current in use for JNI calls (garp.dll and libexpat.dll) should be in the same
# directory as this  file.

export CLASSPATH=./lib/jar/imageio/clibwrapper_jiio.jar:./lib/jar/imageio/mlibwrapper_jai.jar:./lib/jar/imageio/jai_imageio.jar:./ptII4.0.1/lib/kepler-configs.jar:./ptII4.0.1/lib/kepler.jar:./ptII4.0.1/lib/diva.jar:./ptII4.0.1/lib/ptolemy-doc.jar:./lib/jar/cos.jar:./lib/jar/jnet.jar:./lib/jar/httpclient.jar:./lib/jar/arbortext.jar:C:/work/kepler/dynsrc:C:/j2sdk1.4.2_04/lib/tools.jar:./lib/jar/gnu-regexp-1.0.8.jar:./lib/jar/configxml.jar:./lib/jar/apache/xml-apis.jar:./lib/jar/apache/xalan.jar:./lib/jar/apache/xmlParserAPIs.jar:./lib/jar/apache/servlet.jar:./lib/jar/soap/axis.jar:./lib/jar/soap/axis-ant.jar:./lib/jar/jax-qname.jar:./lib/jar/soap/jaxrpc.jar:./lib/jar/soap/saaj.jar:./lib/jar/soap/wsdl4j.jar:./lib/jar/soap/log4j-1.2.4.jar:./lib/jar/soap/commons-logging.jar:./lib/jar/soap/commons-discovery.jar:./lib/jar/dbdrivers/RmiJdbc.jar:./lib/jar/dbdrivers/oracleJdbc.jar:./lib/jar/dbdrivers/db2jcc.jar:./lib/jar/dbdrivers/mssqlserver.jar:./lib/jar/dbdrivers/msutil.jar:./lib/jar/dbdrivers/msbase.jar:./lib/jar/dbdrivers/pg74.215.jdbc3.jar:./lib/jar/dbdrivers/mysql-connector-java-3.0.15-ga-bin.jar:./lib/jar/wsif.jar:./lib/jar/wsif-j2c.jar:./lib/jar/mail.jar:./lib/jar/activation.jar:./lib/jar/edu.sdsc.globusproxy.jar:./lib/jar/cog-axis.jar:./lib/jar/cog-jglobus.jar:./lib/jar/cog-tomcat.jar:./lib/jar/cryptix-asn1.jar:./lib/jar/cryptix.jar:./lib/jar/cryptix32.jar:./lib/jar/jce-jdk13-117.jar:./lib/jar/jgss.jar:./lib/jar/junit.jar:./lib/jar/log4j-1.2.7.jar:./lib/jar/puretls.jar:C:/work/kepler/webservice/lib/jar/seekWebService.jar:./lib/jar/doublePolygon.jar:./lib/jar/ecogrid_client_lib/ecogrid-query-levelone-client.jar:./lib/jar/ecogrid_client_lib/log4j-core.jar:./lib/jar/ecogrid_client_lib/org.ecoinformatics.ecogrid.EcoGridQueryInterfaceLevelOne-stub.jar:./lib/jar/ecogrid_client_lib/xml-apis-1.1.jar:./lib/jar/ecogrid_client_lib/xmlsec.jar:./lib/jar/ecogrid_client_lib/ogsa.jar:./lib/jar/jargon.jar:./lib/jar/ontobrowser/ontobrowser.jar:./lib/jar/ontobrowser/wonderweblite.jar:./lib/jar/ontobrowser/nanoxml-2.1.1.jar:./lib/jar/apache/commons-net-1.2.1.jar:./lib/jar/gt1.jar:./lib/jar/dlese.jar:./lib/jar/omi.jar:./lib/jar/jaxb-api.jar:./lib/jar/jaxb-xjc.jar:./lib/jar/jaxb-libs.jar:./lib/jar/relaxngDatatype.jar:./lib/jar/xsdlib.jar:./lib/jar/namespace.jar:./lib/jar/hsqldb.jar:./lib/jar/antelope.jar:./lib/jar/jdom.jar:./lib/jar/wmsd.jar:./lib/jar/jsch-0.1.17.jar:./ptII4.0.1/lib/jython.jar:./ptII4.0.1/lib/ptjacl.jar:./ptII4.0.1/lib/ptCal.jar:./lib/jar/ij.jar:./lib/jar/sms/jena.jar:./lib/jar/sms/antlr.jar:./lib/jar/sms/concurrent.jar:./lib/jar/sms/jakarta-oro-2.0.5.jar:./lib/jar/sms/rdf-api-2001-01-19.jar:./lib/jar/sms/icu4j.jar:./lib/jar/sms/xercesImpl.jar:./lib/xml-apis.jar      

$JAVA_HOME/bin/java -Xmx512m -Xss5m -DKEPLER=./ -DPTII=./ptII4.0.1 -DDBGPRN=0  ptolemy.vergil.VergilApplication -kepler
